at.chipkarte.client.aum.soap

## Class Quittung

- Object
- - at.chipkarte.client.aum.soap.Quittung

-     public class Quittung
      extends Object

  Datenstruktur für die Daten einer am Server angelegten bzw. geänderten AU- oder AF-Meldung. Wird von den Methoden, die Meldungen anlegen oder ändern sowie von `IAumService.detailDatenAbfragen(java.lang.String, java.lang.Long)` zurückgegeben.
  Enthält, außer der vom Benutzer eingegebenen Daten auch vom Server gesetzte Felder, nämlich: `Id`, `Version`, `Meldungsart` und `Ausstellungsdatum`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Quittung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAfMelder()` Code für den Akteur, der das Datum ArbeitsunfaehigBis (Letzter Tag der AU) gesetzt oder zuletzt geändert hat.
    `String` | `getAuErgaenzer()` Code für den Bearbeiter einer AU-Meldung im Backend.
    `String` | `getAusstellungsDatum()` Ausstellungsdatum der Meldung (NICHT vom Benutzer zu setzen, wird intern versorgt).
    `Long` | `getId()` ID der Meldung.
    `String` | `getMeldungsart()` Art der Meldung.
    `Meldungsdaten` | `getMeldungsdaten()` Die Datenstruktur mit allen Daten der AU- oder AF-Meldung.
    `Person` | `getPersonendaten()` Datenstruktur für die Personendaten.
    `Boolean` | `getSelbsterstelltAF()` Kennzeichen, true falls der aktuelle Benutzer das Datum für ArbeitsunfaehigBis (Letzter Tag der AU) gesetzt oder zuletzt geändert hat.
    `Boolean` | `getSelbsterstelltAU()` Kennzeichen, true falls der aktuelle Benutzer der Initialersteller der AU-Meldung ist; false für "reine" AF-Meldungen oder von anderen Benutzern erstellte AU-Meldungen.
    `Boolean` | `getUngeprueft()` Gibt an, ob die Meldung "ohne Anspruch" angelegt wurde - für einen Patienten, der keinen für die elektronische Arbeitsunfähigkeitsmeldung gültigen Anspruch hat.
    `Integer` | `getVersion()` Version der Meldung.
    `Boolean` | `isEditierbar()` Kennzeichen, true falls diese Meldung geändert oder storniert werden kann.
    `void` | `setAfMelder(String afMelder)`
    `void` | `setAuErgaenzer(String auErgaenzer)`
    `void` | `setAusstellungsDatum(String ausstellungsDatum)`
    `void` | `setEditierbar(Boolean editierbar)`
    `void` | `setId(Long id)`
    `void` | `setMeldungsart(String meldungsart)`
    `void` | `setMeldungsdaten(Meldungsdaten meldungsdaten)`
    `void` | `setPersonendaten(Person personendaten)`
    `void` | `setSelbsterstelltAF(Boolean selbsterstelltAF)`
    `void` | `setSelbsterstelltAU(Boolean selbsterstelltAU)`
    `void` | `setUngeprueft(Boolean ungeprueft)`
    `void` | `setVersion(Integer version)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Quittung

          public Quittung()

  - ### Method Detail

    - #### getPersonendaten

          public Person getPersonendaten()

      Datenstruktur für die Personendaten.
      Siehe auch: `Person`
      Returns:
        Personendaten

    - #### setPersonendaten

          public void setPersonendaten(Person personendaten)

    - #### getId

          public Long getId()

      ID der Meldung.
      Format: maximal 19-stellig
      Returns:
        ID der Meldung

    - #### setId

          public void setId(Long id)

    - #### getMeldungsdaten

          public Meldungsdaten getMeldungsdaten()

      Die Datenstruktur mit allen Daten der AU- oder AF-Meldung.
      Siehe auch: `Meldungsdaten`
      Returns:
        Datenobjekt Meldungsdaten

    - #### setMeldungsdaten

          public void setMeldungsdaten(Meldungsdaten meldungsdaten)

    - #### getMeldungsart

          public String getMeldungsart()

      Art der Meldung.
      Format: 2-stellig
      Mögliche Werte: `Meldungsart`.
      Returns:
        Art der Meldung

    - #### setMeldungsart

          public void setMeldungsart(String meldungsart)

    - #### getVersion

          public Integer getVersion()

      Version der Meldung.
      Returns:
        Version der Meldung

    - #### setVersion

          public void setVersion(Integer version)

    - #### getAusstellungsDatum

          public String getAusstellungsDatum()

      Ausstellungsdatum der Meldung (NICHT vom Benutzer zu setzen, wird intern versorgt).
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Ausstellungsdatum der Meldung

    - #### setAusstellungsDatum

          public void setAusstellungsDatum(String ausstellungsDatum)

    - #### getUngeprueft

          public Boolean getUngeprueft()

      Gibt an, ob die Meldung "ohne Anspruch" angelegt wurde - für einen Patienten, der keinen für die elektronische Arbeitsunfähigkeitsmeldung gültigen Anspruch hat.
      Returns:
        Kennzeichen für eine Meldung "ohne Anspruch"

    - #### setUngeprueft

          public void setUngeprueft(Boolean ungeprueft)

    - #### getAuErgaenzer

          public String getAuErgaenzer()

      Code für den Bearbeiter einer AU-Meldung im Backend.
      Mögliche Werte: `AumMelderErgaenzerTypen`
      Returns:
        Code für AU-Ergänzer

    - #### setAuErgaenzer

          public void setAuErgaenzer(String auErgaenzer)

    - #### getAfMelder

          public String getAfMelder()

      Code für den Akteur, der das Datum ArbeitsunfaehigBis (Letzter Tag der AU) gesetzt oder zuletzt geändert hat.
      Mögliche Werte: `AumMelderErgaenzerTypen`
      Returns:
        Code für AF-Melder

    - #### setAfMelder

          public void setAfMelder(String afMelder)

    - #### getSelbsterstelltAU

          public Boolean getSelbsterstelltAU()

      Kennzeichen, true falls der aktuelle Benutzer der Initialersteller der AU-Meldung ist; false für "reine" AF-Meldungen oder von anderen Benutzern erstellte AU-Meldungen.
      Returns:
        Kennzeichen AU-selbsterstellt

    - #### setSelbsterstelltAU

          public void setSelbsterstelltAU(Boolean selbsterstelltAU)

    - #### getSelbsterstelltAF

          public Boolean getSelbsterstelltAF()

      Kennzeichen, true falls der aktuelle Benutzer das Datum für ArbeitsunfaehigBis (Letzter Tag der AU) gesetzt oder zuletzt geändert hat.
      Returns:
        Kennzeichen AF-selbsterstellt

    - #### setSelbsterstelltAF

          public void setSelbsterstelltAF(Boolean selbsterstelltAF)

    - #### isEditierbar

          public Boolean isEditierbar()

      Kennzeichen, true falls diese Meldung geändert oder storniert werden kann.
      Returns:
        Kennzeichen AF-selbsterstellt

    - #### setEditierbar

          public void setEditierbar(Boolean editierbar)